WP3ContentParsingState Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Private Member Functions | List of all members
WP3ContentParsingState Struct Reference

`#include <WP3ContentListener.h>`

## Public Member Functions
| WP3ContentParsingState ()
| ~WP3ContentParsingState ()

## Public Attributes
unsigned short | m_colSpan
unsigned short | m_rowSpan
librevenge::RVNGString | m_textBuffer
RGBSColor * | m_cellFillColor
librevenge::RVNGString | m_noteReference
WPXTableList | m_tableList

## Private Member Functions
| WP3ContentParsingState (const WP3ContentParsingState &)
WP3ContentParsingState & | operator= (const WP3ContentParsingState &)

## Constructor & Destructor Documentation

WP3ContentParsingState::WP3ContentParsingState | ( |  | ) |

WP3ContentParsingState::~WP3ContentParsingState | ( |  | ) |

WP3ContentParsingState::WP3ContentParsingState | ( | const WP3ContentParsingState & |  | ) |
| private

## Member Function Documentation

WP3ContentParsingState& WP3ContentParsingState::operator= | ( | const WP3ContentParsingState & |  | ) |
| private

Referenced by WP3ContentListener::_changeList().

## Member Data Documentation

RGBSColor* WP3ContentParsingState::m_cellFillColor

Referenced by WP3ContentListener::insertCell(), WP3ContentListener::setTableCellFillColor(), and ~WP3ContentParsingState().

unsigned short WP3ContentParsingState::m_colSpan

Referenced by WP3ContentListener::closeCell(), WP3ContentListener::insertCell(), and WP3ContentListener::setTableCellSpan().

librevenge::RVNGString WP3ContentParsingState::m_noteReference

Referenced by WP3ContentListener::insertNote(), and WP3ContentListener::insertNoteReference().

unsigned short WP3ContentParsingState::m_rowSpan

Referenced by WP3ContentListener::closeCell(), WP3ContentListener::insertCell(), and WP3ContentListener::setTableCellSpan().

WPXTableList WP3ContentParsingState::m_tableList

Referenced by WP3ContentListener::insertNote(), WP3ContentListener::insertTextBox(), and WP3ContentListener::insertWP51Table().

librevenge::RVNGString WP3ContentParsingState::m_textBuffer

Referenced by WP3ContentListener::_flushText(), WP3ContentListener::insertCharacter(), and WP3ContentListener::insertPageNumber().

The documentation for this struct was generated from the following files:

- WP3ContentListener.h
- WP3ContentListener.cpp